package dev.shadowsoffire.apotheosis.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.Apotheosis;
import java.util.HashMap;
import java.util.Map;
import java.util.function.Supplier;
import net.minecraft.resources.ResourceLocation;
import net.minecraftforge.common.crafting.conditions.ICondition;

public class ModuleCondition implements ICondition {
  static ResourceLocation id = new ResourceLocation("apotheosis", "module");
  
  static Map<String, Supplier<Boolean>> types = new HashMap<>();
  
  final String name;
  
  static {
    types.put("spawner", () -> Boolean.valueOf(Apotheosis.enableSpawner));
    types.put("garden", () -> Boolean.valueOf(Apotheosis.enableGarden));
    types.put("deadly", () -> Boolean.valueOf(Apotheosis.enableAdventure));
    types.put("adventure", () -> Boolean.valueOf(Apotheosis.enableAdventure));
    types.put("enchantment", () -> Boolean.valueOf(Apotheosis.enableEnch));
    types.put("potion", () -> Boolean.valueOf(Apotheosis.enablePotion));
    types.put("village", () -> Boolean.valueOf(Apotheosis.enableVillage));
    types.put("book", () -> Boolean.valueOf(Apotheosis.giveBook));
  }
  
  public ModuleCondition(String name) {
    this.name = name;
  }
  
  public ResourceLocation getID() {
    return id;
  }
  
  public boolean test(ICondition.IContext context) {
    return ((Boolean)((Supplier<Boolean>)types.get(this.name)).get()).booleanValue();
  }
}
